searchData={"items":[{"type":"module","title":"CLI","doc":"","ref":"CLI.html"},{"type":"function","title":"CLI.interactive_select/0","doc":"","ref":"CLI.html#interactive_select/0"},{"type":"function","title":"CLI.main/1","doc":"","ref":"CLI.html#main/1"},{"type":"module","title":"Clipixir","doc":"Clipixir is a terminal clipboard manager and history tracker.","ref":"Clipixir.html"},{"type":"module","title":"Features - Clipixir","doc":"* Auto-promotes most recent clipboard entry.\n  * Deduplicates and stores last 1000 clipboard texts.\n  * Tracks usage count and last used timestamp.\n  * Plain text history file, easy to inspect or backup.\n  * Robust against crash, restarts, accidental bad lines.","ref":"Clipixir.html#module-features"},{"type":"module","title":"Example - Clipixir","doc":"# Start tracking clipboard in the background\n    {:ok, _pid} = Clipixir.start_link([])\n\n    # List clipboard history (returns list of %{value, count, last_used, ...})\n    Clipixir.list_history()\n\n    # Promote a copied entry explicitly (if not already tracked)\n    Clipixir.promote_to_top_and_dedup(\"your copied content\")","ref":"Clipixir.html#module-example"},{"type":"function","title":"Clipixir.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Clipixir.html#child_spec/1"},{"type":"function","title":"Clipixir.init/1","doc":"Callback implementation for  GenServer.init/1 .","ref":"Clipixir.html#init/1"},{"type":"function","title":"Clipixir.list_history/0","doc":"Returns a list of `%{value, encoded, last_used, count}` entries, newest first.","ref":"Clipixir.html#list_history/0"},{"type":"function","title":"Example - Clipixir.list_history/0","doc":"iex> Clipixir.list_history()\n    [%{value: \"foobar\", count: 4, last_used: 1715753340, encoded: ...}, ...]","ref":"Clipixir.html#list_history/0-example"},{"type":"function","title":"Clipixir.promote_to_top_and_dedup/1","doc":"Promotes the given clipboard string to the top of the history, increments its usage count,\nand removes older duplicate entries. Also updates the timestamp.\n\n    iex> Clipixir.promote_to_top_and_dedup(\"foo bar\")\n    :ok  # (side effect: updates file)","ref":"Clipixir.html#promote_to_top_and_dedup/1"},{"type":"function","title":"Clipixir.start_link/1","doc":"","ref":"Clipixir.html#start_link/1"},{"type":"module","title":"Clipixir.Picker","doc":"Interactive CLI picker for clipboard entries.","ref":"Clipixir.Picker.html"},{"type":"module","title":"Usage - Clipixir.Picker","doc":"Clipixir.Picker.pick_and_copy()\n\nRuns an interactive loop to search, preview, and recopy clipboard entries.\n\n- `/searchterm` — fuzzy search to filter.\n- Index number — copy and promote to top (just press Enter after number).\n- `q` — quit.","ref":"Clipixir.Picker.html#module-usage"},{"type":"function","title":"Clipixir.Picker.pick_and_copy/0","doc":"Starts the picker loop in the current terminal.\n\n    iex> Clipixir.Picker.pick_and_copy()\n    # Interactive TUI shown","ref":"Clipixir.Picker.html#pick_and_copy/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}